﻿Option Explicit On
Imports System.IO

Public Class Main
    'Deklariere Public Variables
    Public pub_aPhotos(0) As String     'Array mit den Photo Pfaden
    Public pub_sPath As String          'String mit dem Arbeits Verzeichnis
    Public pub_nPhotoIndex As Long = 0  'IndexNR des pub_aPhotos Arrays
    Public pub_bChangeTagg As Boolean = False

    '###################################################################################################################
    '############### Main ##############################################################################################
    '###################################################################################################################

    Private Sub Main_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub


    '###################################################################################################################
    '############### Form1_Function-Tasks ##############################################################################
    '###################################################################################################################

    '###################################################################################################################
    '############### Form1_Sub-Tasks ###################################################################################
    '###################################################################################################################

    Private Sub Reload()
        SaveTagg()
        ReDim pub_aPhotos(0)
        pub_aPhotos(0) = ""
        pub_aPhotos = Modul_SB_PictureTagger.DirReadPhotos(pub_sPath)
        pub_nPhotoIndex = 0
        LoadTaggedIMG()
    End Sub 'Reload

    Private Sub SaveTagg()
        If pub_bChangeTagg = True Then
            'Call The Save Methode from Modul_SB-PictureTagger
            pub_bChangeTagg = False
        End If
    End Sub

    Private Sub LoadTaggedIMG()
        Dim ID As String = pub_aPhotos(pub_nPhotoIndex)
        Dim TaggedIMG_Now As New TaggedIMG
        If ID <> "" Then 'Später wird die ID der DB übergeben
            SaveTagg()
            TaggedIMG_Now = Modul_SB_PictureTagger.LoadPicture(ID)
            PictureBox1.Image = TaggedIMG_Now.Image
            'Befülle TextBox
            'Erstelle Marks
        End If
    End Sub 'LoadTaggedIMG

    '###################################################################################################################
    '############### Buton Events: Click ###############################################################################
    '###################################################################################################################


    Private Sub b_exit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_exit.Click
        ' Programm Beenden
        SaveTagg()
        Me.Close()
    End Sub

    Private Sub b_loaddir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_loaddir.Click
        'Laden eines zu Taggenden Bilder-Verzeichnis
        Modul_Tools.FolderBrowserDialog(pub_sPath)
        Reload()
    End Sub

    Private Sub b_reloaddir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_reloaddir.Click
        Reload()
    End Sub

    Private Sub b_save_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_save.Click
        SaveTagg()
    End Sub

    Private Sub b_next_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_next.Click
        If pub_nPhotoIndex < (UBound(pub_aPhotos) - 1) Then
            pub_nPhotoIndex += 1
            LoadTaggedIMG()
        End If
    End Sub

    Private Sub b_last_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles b_last.Click

        If pub_nPhotoIndex > 0 Then
            pub_nPhotoIndex = pub_nPhotoIndex - 1
            LoadTaggedIMG()
        End If
    End Sub

    '###################################################################################################################
    '############### CheckBox Events: CheckStateChanged ################################################################
    '###################################################################################################################

    Private Sub cb_marks_visible_CheckStateChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cb_marks_visible.CheckStateChanged
        'Wenn cb_marks_visible=true then ZeichneMarks() ELSE VerstekeMarks()
    End Sub


End Class
